import { EventEmitter, ChangeDetectorRef, AfterViewInit, OnInit } from '@angular/core';
import { NotifyService } from '../../services/notify/notify.service';
import { TranslateService } from '../../services/translate/translate.service';
export declare class UploadFileControlComponent implements OnInit, AfterViewInit {
    private ref;
    private notifyService;
    private translateService;
    id: string;
    previewFiles: PreviewFile[];
    label: string;
    type: 'image' | 'file';
    disabled: boolean;
    extensions: string[];
    max: number;
    maxSize: number;
    maxWidth: number;
    maxHeight: number;
    srcs: string[];
    previewWidth: string;
    previewHeight: string;
    align: 'left' | 'center';
    sdChange: EventEmitter<PreviewFile[]>;
    constructor(ref: ChangeDetectorRef, notifyService: NotifyService, translateService: TranslateService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    reload: (previewFiles?: PreviewFile[]) => void;
    private validate;
    private preview;
    onUpload(previewFile?: PreviewFile): void;
    onRemove(previewFile: PreviewFile): void;
}
export interface PreviewFile {
    file: File;
    src: string;
    previewSrc: string | ArrayBuffer;
    isPreviewImage: boolean;
    fileName?: string;
    extension?: string;
}
